CSV2XML(1)

NAME
csv2xml, gbf2ref, gbf2xml, json2xml, scn2xml, tbl2xml - transmute to XML

SYNOPSIS
csv2xml|scn2xml|tbl2xml [-set tag] [-rec tag] [-skip N] [-header] [-lower|-upper] [-indent|-flush] columnName1 ... gbf2ref gbf2xml json2xml [-set tag] [-rec tag] [-nest flat|recurse|plural|singular|depth|element]

DESCRIPTION
These commands all simply invoke corresponding transmute(1) modes; each reads a stream of data from standard input, converts it to XML suitable for -path navigation, and writes the result to standard output. Specifically:

csv2xml
    corresponds to transmute -c2x, converting comma-separated values to XML.

gbf2ref
    corresponds to transmute -g2r, converting from GenBank/GenPept flatfile format to Reference Index XML.

gbf2xml
    corresponds to transmute -g2x, converting from GenBank/GenPept flatfile format to INSDSeq XML.

json2xml
    corresponds to transmute -j2x, converting JSON to XML.

scn2xml
    corresponds to transmute -s2x, converting a semicolon-delimited table to XML.

tbl2xml
    corresponds to transmute -t2x, converting a tab-delimited table to XML.

There is also an analogous asn2xml wrapper corresponding to transmute -a2x (converting text ASN.1 to XML), but Debian systems install it to /usr/lib/ncbi-entrez-direct/bin to avoid conflicting with the ncbi-tools-bin package's asn2xml(1).

OPTIONS
See transmute(1).

SEE ALSO
ref2pmid(1), transmute(1), xml2fsa(1), xml2tbl(1), xtract(1).